/* Copyright 1998-2011 Research Foundation State University of New York */

/* This file is part of QuB.                                            */

/* QuB is free software; you can redistribute it and/or modify          */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, either version 3 of the License, or    */
/* (at your option) any later version.                                  */

/* QuB is distributed in the hope that it will be useful,               */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */

/* You should have received a copy of the GNU General Public License,   */
/* named LICENSE.txt, in the QuB program directory.  If not, see        */
/* <http://www.gnu.org/licenses/>.                                      */

#ifndef QUBCUDA_H
#define QUBCUDA_H

//
// Define API decoration for direct importing of DLL references.
//

#if defined(_WIN32)
#define QUBCUDA_DLLEXPORT __declspec(dllexport)
#define QUBCUDA_DLLIMPORT __declspec(dllimport)
#else
#define QUBCUDA_DLLEXPORT
#define QUBCUDA_DLLIMPORT
#endif

#if !defined(_QUBCUDA_)
#define QUBCUDA_API QUBCUDA_DLLIMPORT
#else
#define QUBCUDA_API QUBCUDA_DLLEXPORT
#endif

#if defined(_WIN32)
#include <windows.h>
#endif

extern "C" {

QUBCUDA_API void __cdecl qubcuda_init();
QUBCUDA_API void __cdecl qubcuda_done();

}

#endif
